Subject: [475] can't start ftpd

From: [email-masked]
Date: Tue, 27 Sep 1994 14:59:32 +0100

Hello

I tried to start wu-ftpd2.4 on a Sun 4.1.3 with following command:

/etc=>  ftpd -l -d&

And got this error-messages:

wsrouter# Sep 27 13:46:14 wsrouter ftpd[202]: setsockopt (SO_OOBINLINE): Socket operation on non-socket

500 wsrouter FTP server shut down -- please try again later.

[1]    Done                 ftpd -l -d

I got the same error-messages when I start ftpd with inetd.conf. Bellow are my ftpaccess and inetd.conf files ...

inetd.conf.....

>> #
>> # Ftp and telnet are standard Internet services.
>> #
>> ftp   stream  tcp     nowait  root    /usr/local/etc/ftpd -d -l
>> telnet        stream  tcp     nowait  root    /usr/etc/in.telnetd     in.telnetd
>> #
>> # Tnamed serves the obolete IEN-116 name server protocol.
>> #
>> name  dgram   udp     wait    root    /usr/etc/in.tnamed      in.tnamed
>> #

ftpccess file...

>> class    all     real,anonymous  *
>>
>> limit all     5       Any     /etc/msgs/msg.toomany
>>
>> message       /welcome.msg    login
>> message       .message        cwd=*
>>
>> log   commands        real
>> log   transfers       real,anonymous  inbound,outbound
>>
>> shutdown /etc/shutmsg

Thanks in advance